PrefabFiles = {
	"elinor",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/elinor.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/elinor.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/elinor.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/elinor.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/elinor_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/elinor_silho.xml" ),

    Asset( "IMAGE", "bigportraits/elinor.tex" ),
    Asset( "ATLAS", "bigportraits/elinor.xml" ),
	
	Asset( "IMAGE", "images/map_icons/elinor.tex" ),
	Asset( "ATLAS", "images/map_icons/elinor.xml" ),

}

local require = GLOBAL.require

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.elinor = "The Curious Explorer"
GLOBAL.STRINGS.CHARACTER_NAMES.elinor = "Elinor"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.elinor = "*Loves to learn\n*Is a bunny\n*Is a child"
GLOBAL.STRINGS.CHARACTER_QUOTES.elinor = "\"There's so much to learn, wherever you turn!\""

-- Custom speech strings
GLOBAL.STRINGS.CHARACTERS.ELINOR = require "speech_elinor"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "elinor")


AddMinimapAtlas("images/map_icons/elinor.xml")
AddModCharacter("elinor")

AddBrainPostInit("rabbitbrain", function(brain) 
    local function customcheckhunter(hunter, inst)
        if hunter:HasTag("rabbitwhisperer") then
            return hunter:HasTag("monster")  -- only run from elinor if she is seen as a monster
        else
            return false
        end
    end
    for i,v in ipairs(brain.bt.root.children) do
        if v.name == "RunAway" then
            v.shouldrunfn = customcheckhunter
        end
    end
end)